Skip to content
Management API Reference

[Beta] Activates a custom hostname for a project.

post/v1/projects/{ref}/custom-hostname/activate

OAuth scopes

  • domains:write

The fine-grained token must include the following permissions to access this endpoint:

  • custom_domain_write

Path parameters

  • ref
    Required
    string

    Project ref

Response codes

  • 201
  • 401
  • 403
  • 429
  • 500

Response (201)

{
"status": "1_not_started",
"custom_hostname": "lorem",
"data": {
"success": true,
"errors": [
"lorem"
],
"messages": [
"lorem"
],
"result": {
"id": "lorem",
"hostname": "lorem",
"ssl": {
"status": "lorem",
"validation_records": [
{
"txt_name": "lorem",
"txt_value": "lorem"
}
],
"validation_errors": [
{
"message": "lorem"
}
]
},
"ownership_verification": {
"type": "lorem",
"name": "lorem",
"value": "lorem"
},
"custom_origin_server": "lorem",
"verification_errors": [
"lorem"
],
"status": "lorem"
}
}
}